package com.jxdinfo.hussar.core.auto.service;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.auto.common.AbstractHussarProcessor;
import com.jxdinfo.hussar.core.auto.common.MultiSetMap;
import com.jxdinfo.hussar.core.auto.common.Sets;
import com.jxdinfo.hussar.core.auto.common.TypeHelper;
import com.jxdinfo.hussar.core.auto.service.AutoService;
import com.jxdinfo.hussar.core.auto.service.Prn;
import com.jxdinfo.hussar.core.auto.service.aUX;
import com.jxdinfo.hussar.core.bouncycastle.jce.provider.asymmetric.ec.EC5Util;
import com.jxdinfo.hussar.core.util.DateTimeUtils;
import java.io.IOException;
import java.io.OutputStream;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;
import java.util.Objects;
import java.util.Set;
import java.util.TreeSet;
import javax.annotation.processing.Filer;
import javax.annotation.processing.ProcessingEnvironment;
import javax.annotation.processing.RoundEnvironment;
import javax.annotation.processing.SupportedOptions;
import javax.lang.model.element.AnnotationMirror;
import javax.lang.model.element.AnnotationValue;
import javax.lang.model.element.AnnotationValueVisitor;
import javax.lang.model.element.Element;
import javax.lang.model.element.ExecutableElement;
import javax.lang.model.element.TypeElement;
import javax.lang.model.type.TypeMirror;
import javax.lang.model.util.ElementFilter;
import javax.tools.FileObject;
import javax.tools.JavaFileManager;
import javax.tools.StandardLocation;

@SupportedOptions({"debug"})
public class AutoServiceProcessor extends AbstractHussarProcessor {
  private final MultiSetMap<String, String> e;
  
  private TypeHelper float;
  
  public Set<String> getSupportedAnnotationTypes() {
    true;
    true[0] = AutoService.class.getName();
    return Sets.ofImmutableSet(true);
  }
  
  protected boolean processImpl(Set<? extends TypeElement> set, RoundEnvironment roundEnvironment) {
    if (roundEnvironment.processingOver()) {
      finally();
    } else {
      switch(set, roundEnvironment);
    } 
    return true;
  }
  
  public AnnotationMirror getAnnotationMirror(Element element, Class clazz) {
    String str = clazz.getCanonicalName();
    for (AnnotationMirror annotationMirror : element.getAnnotationMirrors()) {
      if (this.float.getType(annotationMirror).contentEquals(str))
        return annotationMirror; 
    } 
    return null;
  }
  
  public AnnotationValue getAnnotationValue(AnnotationMirror annotationMirror, String str) {
    Iterator<Map.Entry> iterator = getAnnotationValuesWithDefaults(annotationMirror).entrySet().iterator();
    Objects.requireNonNull(str);
    while (iterator.hasNext()) {
      Map.Entry<ExecutableElement, ?> entry;
      if (((ExecutableElement)(entry = iterator.next()).getKey()).getSimpleName().contentEquals(str))
        return (AnnotationValue)entry.getValue(); 
    } 
    String str1 = this.float.getType(annotationMirror);
    true;
    true[0] = str1;
    true[1] = str;
    super(String.format((String)new Object[2], true));
    throw new IllegalArgumentException();
  }
  
  public AutoServiceProcessor() {
    this;
    super();
  }
  
  public Map<ExecutableElement, AnnotationValue> getAnnotationValuesWithDefaults(AnnotationMirror annotationMirror) {
    HashMap<Object, Object> hashMap = new HashMap<>(32);
    Map<? extends ExecutableElement, ? extends AnnotationValue> map = annotationMirror.getElementValues();
    for (ExecutableElement executableElement : ElementFilter.methodsIn(annotationMirror.getAnnotationType().asElement().getEnclosedElements())) {
      if (map.containsKey(executableElement))
        hashMap.put(executableElement, map.get(executableElement)); 
    } 
    return (Map)Collections.unmodifiableMap(hashMap);
  }
  
  public synchronized void init(ProcessingEnvironment processingEnvironment) {
    super.init(processingEnvironment);
    this;
    super(processingEnvironment);
  }
}
